Bug 1476587 - git-gui: Keyboard shortcuts doesn't work for multiple files [NEEDINFO]
git-gui: Keyboard shortcuts doesn't work for multiple files
Status: NEW
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pstodulk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-30 09:56 EDT by czerny.jakub
Modified: 2018-05-03 04:30 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tmz: needinfo? (czerny.jakub)


Attachments (Terms of Use)

  None (edit)
Description czerny.jakub 2017-07-30 09:56:08 EDT
Description of problem:
When multiple files selected, and Ctrl+T or Ctrl+U is pressed, the action is only applied to only file from the selection, not all of them.

Version-Release number of selected component (if applicable):
git-gui-2.13.3-1.fc26.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create a git repo with at least two files changed (but not staged)
2. Open the repo in git gui
3. Select both files (using Ctrl or Shift + click)
4. Press Ctrl+T to stage selected files

Actual results:
Only one file is staged, other one remains in "unstaged files" area

Expected results:
The action is applied to all selected files as it worked in Fedora 24.

Additional info:
Comment 1 czerny.jakub 2017-07-30 10:00:59 EDT
It works ok even for multiple files when actions are invoked from "Commit" menu.
Comment 2 Todd Zullinger 2018-05-01 18:58:31 EDT
Sorry for the long delay.

I can't reproduce this on a freshly installed and updated fedora-26-x86_64 system.  Are you still seeing the problem?
Comment 3 Fedora End Of Life 2018-05-03 04:30:46 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.